%define upstream_name    Device-Gsm
%define upstream_version 1.60

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Interface gsm handphones and  modems
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Device::Modem) >= 1.470.0
BuildRequires: perl(Device::SerialPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch
Provides: perl(Device::Gsm::Sms::Structure)
Provides: perl(Device::Gsm::Sms::Token)
Provides: perl(Device::Gsm::Sms::Token::OA)
Provides: perl(Device::Gsm::Sms::Token::PDUTYPE)
Provides: perl(Device::Gsm::Sms::Token::SCA)
Provides: perl(Device::Gsm::Sms::Token::UDH)

%description
'Device::Gsm' class implements basic GSM functions, network registration
and SMS sending.

This class supports also 'PDU' mode to send 'SMS' messages, and should be
fairly usable. In the past, I have developed and tested it under Linux
RedHat 7.1 with a 16550 serial port and Siemens C35i/C45 GSM phones
attached with a Siemens-compatible serial cable. Currently, I'm developing
and testing this stuff with Linux Slackware 10.2 and a *Cambridge Silicon
Radio* (CSR) USB bluetooth dongle, connecting to a Nokia 6600 phone.

Please be kind to the universe and contact me if you have troubles or you
are interested in this.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.600.0-6.mga5
+ Revision: 746520
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.600.0-5.mga5
+ Revision: 732794
- add missing provides

* Tue Sep 16 2014 umeabot <umeabot> 1.600.0-4.mga5
+ Revision: 684349
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.600.0-3.mga4
+ Revision: 510872
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.600.0-2.mga3
+ Revision: 365877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 kharec <kharec> 1.600.0-1.mga3
+ Revision: 248632
- update to 1.60

* Sun Nov 27 2011 kharec <kharec> 1.580.0-1.mga2
+ Revision: 173050
- imported package perl-Device-Gsm


* Sun Nov 27 2011 cpan2dist 1.58-1mga
- initial mageia release, generated with cpan2dist
